from flask import Flask, render_template, abort, redirect, url_for
import model
from form import SignupForm

app = Flask(__name__)

app.secret_key = "asrgОНПНилЛГрKBbsarAEKJknKJH238I"

@app.route("/")
def main_page():
    return render_template("main.html")


@app.route("/login/", methods=("GET", "POST"))
def login_page():
    pass


@app.route("/signup/", methods=("GET", "POST"))
def signup_page():
    form = SignupForm()
    pass_not_match = False
    if form.validate_on_submit():
        name = form.name.data
        pass1 = form.password1.data
        pass2 = form.password2.data
        if pass1 == pass2:
            model.create_user(name, pass1)
            return redirect(url_for("login_page"))
        else:
            pass_not_match = True
    return render_template("signup.html", form=form, pass_not_match=pass_not_match)